stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
stdex::curl_runtime_error Class Reference

CURL runtime error. More...

`#include <stdex/curl.hpp>`

Inheritance diagram for stdex::curl_runtime_error:

## Public Member Functions
| curl_runtime_error (CURLcode num)
| Constructs an exception.
| curl_runtime_error (CURLcode num, const std::string &msg)
| Constructs an exception.
| curl_runtime_error (CURLcode num, const char *msg)
| Constructs an exception.
CURLcode | number () const
| Returns the error number.

## Protected Attributes
CURLcode | m_num
| Numeric error code.

## Detailed Description

CURL runtime error.

## Constructor & Destructor Documentation

## ◆ curl_runtime_error() [1/3]

stdex::curl_runtime_error::curl_runtime_error | ( | CURLcode | num | ) |
| inline

Constructs an exception.

Parameters

  [in] | num | CURL error code

## ◆ curl_runtime_error() [2/3]

stdex::curl_runtime_error::curl_runtime_error | ( | CURLcode | num,
|  | const std::string & | msg )
| inline

Constructs an exception.

Parameters

  [in] | num | CURL error code
  [in] | msg | Error message

## ◆ curl_runtime_error() [3/3]

stdex::curl_runtime_error::curl_runtime_error | ( | CURLcode | num,
|  | const char * | msg )
| inline

Constructs an exception.

Parameters

  [in] | num | CURL error code
  [in] | msg | Error message

The documentation for this class was generated from the following file:

- include/stdex/curl.hpp